<?php 
require_once("../datos/mysqlpersona.php");
date_default_timezone_set("America/Santiago");
$p = new mysqlpersona();
$indice = $_POST['name'];
if($indice == "setusuario"){
	$nombre=$_POST['nombre'];
	$ape_paterno =$_POST['ape_paterno'];
	$ape_materno=$_POST['ape_materno'];
	$celular=$_POST['celular'];
	$tel_oficina=$_POST['tel_oficina'];
	$perfil=$_POST['perfil'];
	$rut=$_POST['rut'];
	$direccion=$_POST['direccion'];
	$tel_fijo=$_POST['tel_fijo'];
	$email=$_POST['email'];
	$usuario=$_POST['usuario'];
	$iniciales=$_POST['iniciales'];
	$contraseña=$_POST['contraseña'];
	$id_tipopersona = "1";
	$fecharegistro =date("Y-m-d H:i:s");
	$lista_proyectos = $_POST['lista_proyectos'];
	$lista_profesionales = $_POST['lista_profesionales'];
	$resultado = $p->setUsuario($nombre,$ape_paterno,$ape_materno,$celular,$tel_oficina,$perfil,$rut,$direccion,$tel_fijo,
								$email,$usuario,$iniciales,$contraseña,$id_tipopersona,$fecharegistro,$lista_proyectos,$lista_profesionales);
	echo $resultado;

}else if($indice == "getUsers"){
	$resultado = $p->getAllusers();
	echo json_encode($resultado);

}else if($indice == "updateusuario"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$usuario= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updateusuario($id_persona,$usuario);
  	echo $resultado;
}else if($indice == "updatenombre"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$nombre= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatenombre($id_persona,$nombre);
  	echo $resultado;
}else if($indice == "updateape_paterno"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$ape_paterno= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updateape_paterno($id_persona,$ape_paterno);
  	echo $resultado;
}else if($indice == "updateape_materno"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$ape_materno= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updateape_materno($id_persona,$ape_materno);
  	echo $resultado;
}else if($indice == "updateemail"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$email= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updateemail($id_persona,$email);
  	echo $resultado;
}else if($indice == "updatecelular"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$celular= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatecelular($id_persona,$celular);
  	echo $resultado;
}else if($indice == "setEstado"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$estado= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->setEstado($id_persona,$estado);
  	echo $resultado;
}else if($indice == "restablecerpass"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$nuevapass= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->restablecerpass($id_persona,$nuevapass);
  	echo $resultado;

}else if($indice == "updateperfil"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$perfil= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updateperfil($id_persona,$perfil);
  	echo $resultado;
}else if($indice == "getPersonaBYRUT"){
	$rut= $_POST['rut'];
	$resultado	 = $p->getPersonaBYRUT(trim($rut));
	echo json_encode($resultado);
}else if($indice == "getUsuarioxProyecto"){
	$id_persona = $_POST['id_persona'];
	$resultado = $p->getUsuarioxProyecto($id_persona);
	echo json_encode($resultado);
}else if($indice == "updateusuarioxproyecto"){
	$id_persona = $_POST['id_persona'];
	$lista = $_POST['lista'];
	$resultado = $p->updateusuarioxproyecto($id_persona,$lista);
	echo $resultado;
}else if($indice == "getpostventaxprofesionales"){
	$id_persona = $_POST['id_persona'];
	$resultado = $p->getpostventaxprofesionales($id_persona);
	echo json_encode($resultado);
}else if($indice == "updatepostventaxprofesional"){
	$id_persona = $_POST['id_persona'];
	$lista = $_POST['lista'];
	$resultado = $p->updatepostventaxprofesional($id_persona,$lista);
	echo $resultado;

}else if($indice == "setusuarioJuridico"){
	$razonsocial =$_POST['razonsocial'];
	$fax =$_POST['fax'];
	$tel_oficina=$_POST['tel_oficina'];
	$rut=$_POST['rut'];
	$direccion=$_POST['direccion'];
	$tel_fijo=$_POST['tel_fijo'];
	$email=$_POST['email'];
	$id_tipopersona = "2"; //TIPO PERSONA 2 JURIDICA
	$perfil = "6";//ADMINISTRADOR
	$fecharegistro =date("Y-m-d H:i:s");
	$resultado = $p->setusuarioJuridico($razonsocial,$fax,$tel_oficina,$rut,$direccion,$tel_fijo,$email,$id_tipopersona,$perfil,$fecharegistro);
	echo $resultado;

}else if($indice == "updaterazonsocial"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$razonsocial= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updaterazonsocial($id_persona,$razonsocial);
  	echo $resultado;
}else if($indice == "updatefax"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$fax= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatefax($id_persona,$fax);
  	echo $resultado;
  }else if($indice == "updatetelefono"){
	$id_persona= $_POST['pk']; // the pk(primary key) that you assigned
	$telefono= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatetelefono($id_persona,$telefono);
  	echo $resultado;
  }else if($indice == "getUtilidadesBYRUT"){
	$rut = $_POST['rut'];
	$resultado = $p->getUtilidadesBYRUT($rut);
	echo json_encode($resultado);
	
  }else if($indice == "getPersonasNatural"){
  	$like = $_POST['like'];
  	$resultado =$p->getPersonasNatural($like);
  	echo json_encode($resultado);
  }else if($indice == "nuevaPersona"){
	$nombre=$_POST['nombre'];
	$ape_paterno =$_POST['ape_paterno'];
	$ape_materno=$_POST['ape_materno'];
	$celular=$_POST['celular'];
	$tel_oficina=$_POST['tel_oficina'];
	$perfil=$_POST['perfil'];
	$rut=$_POST['rut'];
	$direccion=$_POST['direccion'];
	$tel_fijo=$_POST['tel_fijo'];
	$email=$_POST['email'];
	$usuario=$_POST['usuario'];
	$iniciales=$_POST['iniciales'];
	$contraseña=$_POST['contraseña'];
	$id_tipopersona = "1";
	$fecharegistro =date("Y-m-d H:i:s");
	$resultado = $p->nuevaPersona($nombre,$ape_paterno,$ape_materno,$celular,$tel_oficina,$perfil,$rut,$direccion,$tel_fijo,
								$email,$usuario,$iniciales,$contraseña,$id_tipopersona,$fecharegistro);
	echo $resultado;

  }

?>